{ ... }: {
  programs.ssh = {
    enable = true;
    matchBlocks = {
      "*" = {
        forwardAgent = false;
        identityAgent = "~/.1password/agent.sock";
        setEnv = {
          TERM = "xterm-256color";
        };
        extraOptions = {
          ServerAliveInterval = "0";
          ServerAliveCountMax = "3";
          Compression = "no";
          AddKeysToAgent = "no";
          HashKnownHosts = "no";
          UserKnownHostsFile = "~/.ssh/known_hosts";
          ControlMaster = "no";
          ControlPath = "~/.ssh/master-%r@%n:%p";
          ControlPersist = "no";
        };
      };
    };
  };
}
